<div id="profileContainer">
    <div class="container pato45">
        <div class="row">
        <div class="col-md-3">
            <div class="avatarFrameOnline" *ngIf="user">
            <!--[src]= con esto le pones condicion para mostrar una imagen-->    
            <img [src]="croppedImage || user.avatar || 'assets/img/generic_avatar.png'" class="avatarImage img-fluid" alt="Avatar">
            </div>
            <hr />
            <div>
            <span>Cambiar foto</span><br />
            <label class="custom-file-upload"><input type="file" name="avatar" id="avatar" (change)="fileChangeEvent($event)" >Subir avatar</label>
            </div>
        </div>
        <div class="col-md-9" *ngIf="user">
                <image-cropper
                [imageChangedEvent]="imageChangedEvent"
                [maintainAspectRatio]="true"
                [aspectRatio]="1 / 1"
                [resizeToWidth]="128"
                format="png"
                (imageCropped)="imageCropped($event)"
                (imageLoaded)="imageLoaded()"
                (cropperReady)="cropperReady()"
                (loadImageFailed)="loadImageFailed()"
            ></image-cropper>
            

            <div>
            <label fixed>Nick</label>
            <input [(ngModel)]="user.nick" type="text" class="form-control">
            </div>
            <div>
            <label fixed>subnick</label>
            <input [(ngModel)]="user.subnick" type="text" class="form-control">
            </div>
            <div>
            <label fixed>Email</label>
            <input [(ngModel)]="user.email" type="email" class="form-control" disabled>
            </div>
            <div>
            <label fixed>Status</label>
            <select [(ngModel)]="user.status" name="status" id="status" class="form-control">
                <option value="online">Conectado</option>
                <option value="away">Ausente</option>
                <option value="busy">Ocupado</option>
                <option value="appear_offline">Desconectado</option>
            </select>
            </div>
            <hr /> 
            <a (click)="saveSettings()" class="btn btn-primary btn-block">Guardar</a>
        </div>
        </div>
    </div>
</div>